/* 
 * Thomas Pantzer: t_special_counter.h, v0.4.7  8.6.99 16:32 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */




#ifndef T_SPECIAL_COUNTER_H
#define T_SPECIAL_COUNTER_H

#include "t_floating_avg.h"

class t_special_counter{
public:
	char running;
	int ticks,F,time;
	t_window_stack  avg;

	void Init(unsigned long d, int f, int l);
	char Start(char bools);
	void Stop(void);
	void Count(char bools);
	void Done(void);
};



#endif







/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
