/* 
 * Thomas Pantzer: kompass_demo.h, v0.4.7  8.6.99 16:32 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */




#ifndef _KOMPASS_DEMO_H
#define _KOMPASS_DEMO_H


#include "t_runtime_obj.h"



class t_kompass_demo : public t_runtime_object {
public:
	void Init(RobotContext *robot);
	virtual char calculate_module(char allow_learn,char any_new);
//	virtual char control_module(void);
	virtual char start_module(void);
	virtual char stop_module(void);
	virtual void make_logstring(void);
	virtual void Show(void);
};



#ifdef _KOMPASS_DEMO_G
#define m_extern
#else 
#define m_extern extern
#endif



m_extern t_kompass_demo Kompass_Demo;


#undef m_extern


#endif








/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
