/* 
 * Thomas Pantzer: slBounds.cc, v0.4.7  8.6.99 16:32 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */

/* Form definition file generated with fdesign. */

#include "copyright.h"

#include "forms.h"
#include <stdlib.h>
#include "slBounds.h"



FD_slBounds_Dialog *__create_form_slBounds_Dialog(const char *name)
{
  FL_OBJECT *obj;
  FD_slBounds_Dialog *fdui = (FD_slBounds_Dialog *) fl_calloc(1, sizeof(*fdui));

  fdui->slBounds_Dialog = fl_bgn_form(FL_NO_BOX, 330, 160);
  obj = fl_add_box(FL_UP_BOX,0,0,330,160,"");

  fdui->ok_bt = obj = fl_add_button(FL_NORMAL_BUTTON,260,50,40,30,"OK");
    fl_set_object_callback(obj,button_cb,cmd_OKslBounds);
    obj->bw = 2;	

  fdui->dismiss_bt = obj = fl_add_button(FL_NORMAL_BUTTON,20,50,50,30,"Cancel");
    fl_set_object_callback(obj,button_cb,cmd_CancelslBounds);
    obj->bw = 2;	

  fdui->topval_in = obj = fl_add_input(FL_NORMAL_INPUT,90,50,70,30,"Top");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    fl_set_object_callback(obj,input_cb,cmd_slTopVal);
    obj->bw = 1;	

  fdui->bottomval_in = obj = fl_add_input(FL_NORMAL_INPUT,170,50,70,30,"Bottom");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    fl_set_object_callback(obj,input_cb,cmd_slBottomVal);
    obj->bw = 1;	

  fdui->preci_in = obj = fl_add_input(FL_NORMAL_INPUT,90,100,70,30,"Precision");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    fl_set_object_callback(obj,input_cb,cmd_slPreciVal);
    obj->bw = 1;	

  fdui->step_in = obj = fl_add_input(FL_NORMAL_INPUT,170,100,70,30,"Steps");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    fl_set_object_callback(obj,input_cb,cmd_slStepVal);
    obj->bw = 1;	

  char st[256];
  if (name != NULL)
     sprintf(st,"change slider bounds\nfor %s",name);
   else
     sprintf(st,"change slider bounds");

  fdui->banner = obj = fl_add_text(FL_NORMAL_TEXT,10,4,300,44,st);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLDITALIC_STYLE+FL_SHADOW_STYLE);
  fl_end_form();

  fdui->slBounds_Dialog->fdui = fdui;

  return fdui;
}



FD_slBounds_Dialog *create_form_slBounds_Dialog(void)
{
  return __create_form_slBounds_Dialog(NULL);
}


/*---------------------------------------*/








/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
